Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbox2d.collision
Class Pair

    java.lang.Object
      org.jbox2d.collision.Pair

All Implemented Interfaces:
  java.lang.Comparable<Pair>

    public class Pair

extends java.lang.Object
implements java.lang.Comparable<Pair>

Field Summary
`int` | `next`
`int` | `proxyId1`
`int` | `proxyId2`
`int` | `status`
`java.lang.Object` | `userData`

Constructor Summary
`Pair()`
`Pair(Pair other)` Copy constructor

Method Summary
`void` | `clearBuffered()`
`void` | `clearRemoved()`
`int` | `compareTo(Pair p)`
`boolean` | `isBuffered()`
`boolean` | `isFinal()`
`boolean` | `isRemoved()`
`void` | `setBuffered()`
`void` | `setFinal()`
`void` | `setRemoved()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userData

    public java.lang.Object userData

### proxyId1

    public int proxyId1

### proxyId2

    public int proxyId2

### status

    public int status

### next

    public int next

Constructor Detail

### Pair

    public Pair()

### Pair

    public Pair(Pair other)

  Copy constructor

Method Detail

### setBuffered

    public void setBuffered()

### clearBuffered

    public void clearBuffered()

### isBuffered

    public boolean isBuffered()

### clearRemoved

    public void clearRemoved()

### setRemoved

    public void setRemoved()

### isRemoved

    public boolean isRemoved()

### setFinal

    public void setFinal()

### isFinal

    public boolean isFinal()

### compareTo

    public int compareTo(Pair p)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Pair>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD